<template>
  <div class="row top-position justify-content-center img-red-bg scrollbar">
    <div class="col-md-11">
      <div class="overflow-profile row">
        <div class="col-lg-3 col-md-5 col-sm-12 row ">
          <div class="col-lg-12 col-md-12 col-sm-6 c-profile space-1 card card-defult shadow scrollbar">
            <h4 class="t-color-red text-center t-bold" v-if="getProfile.surName === null">{{getProfile.firstName}}&nbsp;&nbsp;{{getProfile.lastName}}</h4>
            <h4 class="t-color-red text-center t-bold" v-if="getProfile.surName !== null">{{getProfile.firstName}}&nbsp;&nbsp;{{getProfile.surName}}&nbsp;&nbsp;{{getProfile.lastName}}</h4>
            <p class="t-color-red text-center">{{getUser.username}}</p>
            <p class="t-color-red t-bold">&nbsp;&nbsp;&nbsp;&nbsp;<i class="fa fa-handshake-o"/>&nbsp;Contract</p>
            <h6 class="t-color-red">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<i class="fa fa-phone"/>&nbsp;&nbsp;&nbsp;&nbsp;{{getProfile.phoneNumber}}</h6>
            <h6 class="t-color-red">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<i class="fa fa-envelope"/>&nbsp;&nbsp;&nbsp;&nbsp;{{getUser.email}}</h6><br>
            <p class="t-color-red t-bold">&nbsp;&nbsp;&nbsp;&nbsp;<i class="fa fa-male"/>&nbsp;About</p>
            <div class="row">
              <div class="col-4 t-color-red t-bold">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Address</div>
              <div class="col-8 t-color-red">{{getProfile.address}}</div>
              <div class="col-4 t-color-red t-bold">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Road</div>
              <div class="col-8 t-color-red">{{getProfile.road}}</div>
              <div class="col-4 t-color-red t-bold">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;District</div>
              <div class="col-8 t-color-red">{{getProfile.district}}</div>
              <div class="col-4 t-color-red t-bold">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Province</div>
              <div class="col-8 t-color-red">{{getProfile.province}}</div>
              <div class="col-4 t-color-red t-bold">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;ZIP</div>
              <div class="col-8 t-color-red">{{getProfile.zip}}</div>
            </div>
            <div><i class="fa fa-cog s-setting" style="position:absolute; outline:none;" v-b-modal.edit/></div>
          </div>
          <div class="col-lg-12 col-md-12 col-sm-6 c-profile-project card card-defult shadow">
              <p class="t-color-red t-shadow t-uppercase t-space-1 t-bold">project</p>
              <div class="s-profile-project scrollbar e-his-con">
                <div class="row s-contain-history user-select-non" v-for="getProject in getProjects.self_project" v-bind:key="getProject">
                  <div class="col-12 t-color-red row">
                    <div class="col-12 cursor-pointer" @click="visitProject(getProject.id, getProject)">
                      {{getProject.projectTitle}}
                    </div>
                  </div>
                </div>
              </div>
          </div>
        </div>
        <div class="col-lg-9 col-md-7 col-sm-12">
          <div class="card card-defult c-history shadow">
            <p class="t-color-red t-shadow t-uppercase t-space-1 t-bold">usage histories</p>
            <div class="s-profile-history scrollbar e-his-con">
              <div class="row s-contain-history" v-for="getHis in getHies" v-bind:key="getHis">
                <div class="col-7 t-color-red row">
                  <div class="s-icon" v-if="getHis.icon === 'Create'">
                    <i class="fa fa-sticky-note"></i>
                  </div>
                  <div class="s-icon" v-if="getHis.icon === 'Update'">
                    <i class="fa fa-pencil-square"></i>
                  </div>
                  <div class="s-icon" v-if="getHis.icon === 'Destroy'">
                    <i class="fa fa-trash"></i>
                  </div>
                  <div class="col-11">
                    &nbsp;&nbsp;&nbsp;<b>{{getHis.title}}</b>&nbsp;:&nbsp;{{getHis.detail}}
                  </div>
                </div>
                <div class="col-5 t-color-red t-right"><i class="fa fa-clock-o"></i>&nbsp;&nbsp;{{getHis.created_at}}</div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <b-modal ref="modal" id="edit" size="lg" hide-footer hide-header style="position: absolute;">
      {{getEditProfile}}
      <form>
        <div class="row">
          <div class="col-3">
            <b-form-select
              v-model="selected"
              :options="options"
              class="inp-selection"
              value-field="item"
              text-field="name"
              disabled-field="notEnabled"
            ></b-form-select>
          </div>
        </div>
        <button size="sm" v-on:click="editProject" class="btn btn-delete position-send-in-modal" @click="hide()">
          <i class="fa fa-check" style="font-size:1.5rem;"></i>
        </button>
      </form>
    </b-modal>
<!-- view project -->
    <b-modal ref="modal-view" id="view-project" size="lg" hide-footer hide-header style="position: absolute;" v-slot:default="{ hide }">
      <h2 class="t-color-red" align="center">Manage Project</h2><hr><div class="space-1"/>
      <h4 class="t-color-red" align="center"> Management project {{getProjectInfo.projectTitle}}</h4><div class="space-1"/>
      <h6 class="t-color-soft-gray" align="center"> Please click button below.</h6>
      <hr>
      <button size="sm" class="btn btn-delete t-uppercase" @click="hide()">
        cancel
      </button>
      <router-link :to="'/project-view/' + getProjectInfo.id" size="sm" class="btn btn-delete t-uppercase f-right" @click="hide()">
        Start to manage
      </router-link>
    </b-modal>
  </div>
</template>
<script>
export default {
  data () {
    return {
      getId: '',
      getProjectInfo: [],
      getHies: [],
      getHis: {
        title: '',
        detail: '',
        icon: '',
        created_at: ''
      },
      getUser: [],
      getProfile: [],
      getProject: [],
      getProjects: {
        projectTitle: ''
      },
      getEditProfile: [],
      selected: 'C',
      options: [
        { item: 'A', name: 'Option A', value: 'Mr.' },
        { item: 'B', name: 'Option B', value: 'Miss.' },
        { item: 'D', name: 'Option C', value: 'Mrs.' },
        { item: 'C', name: this.getProfile, notEnabled: true }
      ]
    }
  },
  mounted () {
    this.getHisData()
    this.getUserData()
    this.getProfileData()
    this.getProjectData()
    this.getEditProfileData()
    if (!this.$cookie.get('token')) {
      this.$router.push('/signin')
    }
  },
  methods: {
    getHisData () {
      this.axios.get('/api/showHistory/' + this.$route.params.id).then(response => {
        this.getHies = response.data
      })
    },
    getUserData () {
      this.axios.get('/api/showUser/' + this.$route.params.id).then(response => {
        this.getUser = response.data
      })
    },
    getProfileData () {
      this.axios.get('/api/showProfile/' + this.$route.params.id).then(response => {
        this.getProfile = response.data
      })
    },
    getProjectData () {
      this.axios.get('/api/showUserProject/' + this.$route.params.id).then(response => { // will change to selfProjectList
        this.getProjects = response.data
      })
    },
    getEditProfileData () {
      this.axios.get('/api/editProfile/' + this.$route.params.id).then(response => { // will change to selfProjectList
        this.getEditProfile = response.data
      })
    },
    visitProject (id, info) {
      this.getProjectInfo = ''
      this.getProjectInfo = info
      this.$refs['modal-view'].show()
    }
  }
}
</script>
